summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2019-09-06 21:10:03 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2019-09-06 21:11:17 +0200
commitcace445d5118ee027dc43f829fc50f27d623134c (patch)
tree2dfaad77bd443bf2f28d49d3bcf8c2880aa92ff3 /kde-apps/kolourpaint
parentdev-util/rbtools: maintainer-needed (diff)
downloadgentoo-cace445d5118ee027dc43f829fc50f27d623134c.tar.gz
gentoo-cace445d5118ee027dc43f829fc50f27d623134c.tar.bz2
gentoo-cace445d5118ee027dc43f829fc50f27d623134c.zip
kde-apps: Add KDE Applications 19.08.1
Package-Manager: Portage-2.3.75, Repoman-2.3.17 Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
Diffstat (limited to 'kde-apps/kolourpaint')
-rw-r--r--kde-apps/kolourpaint/Manifest1
-rw-r--r--kde-apps/kolourpaint/kolourpaint-19.08.1.ebuild41
2 files changed, 42 insertions, 0 deletions
diff --git a/kde-apps/kolourpaint/Manifest b/kde-apps/kolourpaint/Manifest
index 874e3fd5f22..a8144ccbfbd 100644
--- a/kde-apps/kolourpaint/Manifest
+++ b/kde-apps/kolourpaint/Manifest
@@ -1,2 +1,3 @@
DIST kolourpaint-19.04.3.tar.xz 5652260 BLAKE2B ae87d7c345946be755dd95283f2c44d7367af7e0a49aee12ec2351df3d621691b1e6321c1e38008a6ff298730a8e3af3154fd8b7464fcffaf66c3a7046174b25 SHA512 bc9a5f081cd50b32b651dac12a6d2146f63788dda6cb7c8fe1c8f6ada99d422e13e0f9b512f8fb6e620ce70a63baca0a44bb5a1d94f0f90d3c0c4aed3705332b
DIST kolourpaint-19.08.0.tar.xz 5654168 BLAKE2B d516b25145a10e60be65d9435889f610b47bb008b005545ed83ce9ba75f40da27bd09b969306c1b0c7e57cf77ca2e4024b4fa59ac32933735497d9222bc1dffc SHA512 63f0c4947a618e07ba53cb3771cd184957942a000986ab9317b892d076643908705c779658bf6c9b7376afb89122d71c160c851d52dff86231e2fb4852a39c74
+DIST kolourpaint-19.08.1.tar.xz 5651556 BLAKE2B 86711c8454f71c664ae673112a7be5667f83334168d648ed0532ff09e0c64cee7f92eb29a6849f68ac85c36b015ea1fe32210dfb4ac33d1cbecf2b9b2e6e9263 SHA512 63b874c5a3db5673902f6a6d1c7c25d9a732ada3b4c4a7d02293d0a46eea5557abc6f44dd3e5a20edfa66a8bf36fa3f0bbdc1a4f1943c6c8cf959e9b94ba9447
diff --git a/kde-apps/kolourpaint/kolourpaint-19.08.1.ebuild b/kde-apps/kolourpaint/kolourpaint-19.08.1.ebuild
new file mode 100644
index 00000000000..d36c8c7865a
--- /dev/null
+++ b/kde-apps/kolourpaint/kolourpaint-19.08.1.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+KDE_HANDBOOK="forceoptional"
+inherit kde5
+
+DESCRIPTION="Paint Program by KDE"
+HOMEPAGE="https://kde.org/applications/graphics/kolourpaint/"
+LICENSE="BSD-2 LGPL-2 LGPL-2+ || ( LGPL-2.1 LGPL-3 ) GPL-2 handbook? ( FDL-1.2 )"
+KEYWORDS="~amd64 ~arm64 ~x86"
+IUSE="scanner"
+
+DEPEND="
+ $(add_frameworks_dep kconfig)
+ $(add_frameworks_dep kconfigwidgets)
+ $(add_frameworks_dep kcoreaddons)
+ $(add_frameworks_dep kdelibs4support)
+ $(add_frameworks_dep kguiaddons)
+ $(add_frameworks_dep ki18n)
+ $(add_frameworks_dep kiconthemes)
+ $(add_frameworks_dep kio)
+ $(add_frameworks_dep kservice)
+ $(add_frameworks_dep ktextwidgets)
+ $(add_frameworks_dep kwidgetsaddons)
+ $(add_frameworks_dep kxmlgui)
+ $(add_qt_dep qtgui)
+ $(add_qt_dep qtprintsupport)
+ $(add_qt_dep qtwidgets)
+ scanner? ( $(add_kdeapps_dep libksane) )
+"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+ local mycmakeargs=(
+ $(cmake-utils_use_find_package scanner KF5Sane)
+ )
+
+ kde5_src_configure
+}